<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Category editor                                                      |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.5 $
// +----------------------------------------------------------------------+

//----- Sanity check - this file shouldn't be referenced directly
//		and htaccess should be configured to disallow access to this dir
if(!$page) { exit; }

$tmpl = new HTML_Template_IT(TEMPLATE_DIR,array("use_preg"=>false));
$tmpl->loadTemplateFile("category.tmpl");

if($_POST) {

    // If $_POST["id"] was passed, then edit
    // Else, new

    $category = trim($_POST["category"]);
    $abbr = trim($_POST["abbr"]);
    $description = trim($_POST["description"]);
    $sort = trim($_POST["sort"]);

    if(is_numeric($_POST["id"])) {
        if(!$category || !$description) {
            $page->fail($ERRORS["incomplete"]);
        }
        $result = updateCategories(
                    $_POST["id"],
                    $category,
                    $description,
                    $sort);
    } else {
        if(!$category || !$abbr || !$description) {
            $page->fail($ERRORS["incomplete"]);
        }
        $result = updateCategories(
                    false,
                    $category,
                    $description,
                    $sort,
                    $abbr);
    }

    if(!$result) {
        $page->fail($ERRORS["queryfail"]);
    } else {
        echo $STRINGS["categorysuccess"];
        echo JS_AUTO_CLOSE;
    }
} else {

    // If $_GET["id"] was passed, editing an existing.
    // Else, creating a new one

    if(is_numeric($_GET["id"])) {

        $category = getCategories(false,$_GET["id"]);
        if(!is_array($category) || count($category)!=1) {
            $page->fail($ERRORS["queryfail"]);
        }
        $category = $category[0];
        $category["action"] = "Edit";
        $category["disabled"] = 'disabled="true"';
        $category[$category["sort"] . "_selected"] = 'selected="true"';
        foreach(array("category","abbr","description") as $x) {
            $category[$x] = htmlspecialchars(stripslashes($category[$x]));
        }
        
    } else {
        $category = array();
        $category["action"] = "Add";
    }

    $tmpl->setVariable($category);
}

$tmpl->show();
?>
