<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Moderator functions                                                  |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.5 $
// +----------------------------------------------------------------------+

// Only moderators are allowed here. Mods are defined as those whose tripcode
// is listed in a comma-separated list MODERATORS, defined in conf.php
//
// If the tripcode cookie does not contain an mod tripcode, present a
// "login" form that allows them to set a new tripcode.

$is_mod = false;
$tripcodes = explode(",",MODERATORS);

$tmpl = new HTML_Template_IT(TEMPLATE_DIR,array("use_preg"=>false));
$tmpl->loadTemplateFile("mod.tmpl");

if($_POST) {
    $tripcode = tripcode($_POST["tripcode"]);
    setcookie("tripcode",$_POST["tripcode"],COOKIE_EXPIRES);
    // Redirect here to avoid the page being in a posted state
    header("Location: " . ABSOLUTE_ROOT . "/" . $path);
} else {
    $tripcode = tripcode($_COOKIE["tripcode"]);
}
    
if(in_array($tripcode,$tripcodes)) {
    $is_mod = true;
} else {
    $tmpl->setVariable("failed_tripcode",$tripcode);
}

if(!$is_mod) {
    $tmpl->touchBlock("login_form");
} else {

    //----- IS MODERATOR
    $bans = getBans(true);
    if(!$bans) {
        $tmpl->touchBlock("no_bans");
    } else {
        foreach($bans as $row) {
            $tmpl->setCurrentBlock("ban");
            $tmpl->setVariable(array(
                "ip"    => $row["ip"],
                "date"  => date(DATE_FORMAT,$row["date"]),
                "tripcode"  => $row["tripcode"],
                "reason"    => $row["reason"],
            ));
            $tmpl->setVariable("ROOT",ROOT);
            $tmpl->parseCurrentBlock();
        }
    }
}

$tmpl->show();
?>
